
Packaging - Tasks #1539
Build pypi packages for rsb-python 0.9
06/11/2013 02:39 PM - Anonymous

Status: Resolved Start date: 06/11/2013
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Enable building of pypi packages for rsb-python 0.9 and automatic upload to pypi.org.

Find a pre-configured, yet disabled job here:
https://ci.cor-lab.org/job/rsb-python-trunk-pypi/

Related issues:
Related to Robotics Service Bus - Bug # 1540: Documentation for installation ... Resolved 06/11/2013
Blocks Robotics Service Bus - Tasks # 1562: Release version 0.9 Resolved 08/07/2013 08/07/2013

History
#1 - 06/17/2013 11:11 AM - J. Wienke

This has to be done after the release. We do not want to spam pypi with non-release version packages. Moreover, users who want to have a released
version would otherwise automatically receive the pre-release versions.

#2 - 06/17/2013 11:17 AM - J. Wienke

Hm, maybe we could even upload pre-release versions: http://www.pip-installer.org/en/latest/logic.html#pre-release-versions

#3 - 08/06/2013 06:03 PM - J. Wienke
- Status changed from New to In Progress

#4 - 08/07/2013 10:50 AM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Done after hacking around a current pylint problem.
